Get embeddable report view URL

Prev Next
Get
/platform/Report/v1/{workbookName}/{viewName}

Returns a redirect URL to a specific Tableau workbook view. The returned URL includes trusted ticket metadata so users can view embedded reports without a Tableau login.

Note: Some API development tools, such as Postman, automatically follow redirects, which prevents you from seeing 300-series response codes. If you want to copy the URL returned in this service’s 302 response and open it in a browser for testing, you may need to turn off automatic redirects.

  • If automatic redirects are enabled, the URL is returned in the JSON body of the 200 response.
  • If automatic redirects are disabled, the URL is returned in the Location header of the 302 response.
Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
workbookName
stringRequired

Tableau workbook name.

ExampleSalesIQ_Validation
viewName
stringRequired

Tableau view name in the workbook.

ExampleCustomer_Spend
Query parameters
queryParameters
string

Query parameters must comprise a set of workbook URL parameters that will filter the view in various ways. The format of the query parameters is param1=value1&param2=value2&param3=value3.

Supported workbook URL parameters:

  • Any Tableau-generic URL parameters described in the URL parameters for iframe tags section of Tableau documentation's Parameters for Embed Code.
  • Any workbook-specific URL parameters added by Zilliant staff. Every Zilliant workbook is highly tailored for each tenant, so there is no standard list. You must ask your Zilliant representative for a list of the URL parameters that can be queried in the workbooks developed for your company.

Note: The Try it & see response feature on this page can’t execute requests that use dynamic query parameter names. To add query parameters, run the request from your preferred tool and manually add it to the request URL.
Example:embed=yes
Responses
200

OK. Returns the embeddable URL in the response body when redirects are followed.

302

Found. Returns the embeddable URL in the Location header when redirects are not followed.

500

Internal server error.